List projects
/api/projectsList projects in your publishing organisation. Omit archived to list active projects; use true for archived projects or all for both.
project:readParameters
archivedquery · stringConstraints
{ "schema": { "type": "string", "pattern": "^(true|false|all)$" }, "required": false, "name": "archived", "in": "query" }
curl example
curl --request GET \
--header "Authorization: Bearer ${API_TOKEN}" \
"${API_ORIGIN}/api/projects"Responses
200OK
projectsarray<object>required
Schema and constraints
{
"type": "object",
"properties": {
"projects": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"pattern": "^[A-Za-z0-9_-]{21}[AQgw]$"
},
"organisationId": {
"type": "string",
"format": "uuid"
},
"privateAudience": {
"type": "string",
"enum": [
"workspace",
"personal"
]
},
"name": {
"type": "string",
"minLength": 1
},
"hostname": {
"type": "string"
},
"createdAt": {
"type": "string",
"format": "date-time"
},
"archived": {
"type": "boolean"
},
"publication": {
"type": "object",
"nullable": true,
"properties": {
"versionId": {
"type": "string",
"pattern": "^[A-Za-z0-9_-]{21}[AQgw]$"
},
"versionNumber": {
"type": "integer",
"minimum": 0,
"exclusiveMinimum": true
},
"url": {
"type": "string",
"format": "uri"
}
},
"required": [
"versionId",
"versionNumber",
"url"
],
"additionalProperties": false
}
},
"required": [
"id",
"organisationId",
"privateAudience",
"name",
"hostname",
"createdAt",
"archived",
"publication"
],
"additionalProperties": false
}
}
},
"required": [
"projects"
],
"additionalProperties": false
}Errors 400 · 401 · 403 · 409 · 500
400Bad Request
errorstringrequired- Allowed:
["invalid_request"].
Schema and constraints
{
"type": "object",
"properties": {
"error": {
"type": "string",
"enum": [
"invalid_request"
]
}
},
"required": [
"error"
]
}401Unauthorized
errorstringrequired- Allowed:
["unauthenticated"].
Schema and constraints
{
"type": "object",
"properties": {
"error": {
"type": "string",
"enum": [
"unauthenticated"
]
}
},
"required": [
"error"
]
}403Forbidden
errorstringrequired- Allowed:
["insufficient_scope"].
Schema and constraints
{
"type": "object",
"properties": {
"error": {
"type": "string",
"enum": [
"insufficient_scope"
]
}
},
"required": [
"error"
],
"additionalProperties": false
}409Conflict
errorstringrequired- Allowed:
["organisation_required"].
Schema and constraints
{
"type": "object",
"properties": {
"error": {
"type": "string",
"enum": [
"organisation_required"
]
}
},
"required": [
"error"
],
"additionalProperties": false
}500Internal Server Error
errorstringrequired- Allowed:
["internal_error"].
Schema and constraints
{
"type": "object",
"properties": {
"error": {
"type": "string",
"enum": [
"internal_error"
]
}
},
"required": [
"error"
]
}